Package: org.gradle.model

## [Java] Class WriteOnlyModelViewException

- org.gradle.model.WriteOnlyModelViewException

- Thrown when an attempt is made to read the value of a model element that is not readable at the time.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WriteOnlyModelViewException (org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public WriteOnlyModelViewException(org.gradle.model.internal.type.ModelType<?> type, org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor ruleDescriptor)